<template>
	<view class="content">
	<!-- 	<view style="flex: 1;overflow: hidden;" >
			<scroll-view scroll-y="true" style="height: 100%;width: 100%;" @scrolltolower="loadMore"> -->
		<view v-if="pageList.length>0">
			<list-unit v-for="(item,index) in pageList" :key="index" :item="item" :i="index" @goDetail="goDetail"></list-unit>
			
		</view>
		<view v-else-if="!pageData.isLoading" style="height: 100%;">
			<noFound :nodata="pageList.length>0 ? false : true"/>
		</view>
		<view class="load-more" v-if="pageList.length>0">
			<text>{{!pageData.isEnd ? '正在加载,请稍后...':'——— 我是有底线的 ———'}}</text>
		</view>
		<!-- 	</scroll-view>
		</view> -->
	</view>
</template>

<script>
	import {mapGetters,mapMutations} from 'vuex'
	import ListUnit from './components/businessUnit.vue'
	
	export default {
		data() {
			return {
				pageData: {
					pageIndex:1,
					pageSize:10,
					isEnd: false,
					isLoading: true
				},
				pageList:[]
			}
		},
		components:{
			ListUnit
		},
		
		computed:{
			...mapGetters({reloading:'shouldReLoadingList'})
		},
		methods: {
			...mapMutations(['shouldReLoadingList']),
			getList() {
				let _this = this
				
				_this.$request.$get("GetCommdityFlowList",{
				
					pageIndex: _this.pageData.pageIndex,
					pageSize: _this.pageData.pageSize
				}).then(res => {
				
					if(!res.ResultCode ||res.ResultCode!='100'){
						
						_this.pageList = []
					}else{
						let list = res.Data.List
						if (list.length > 0) {
							
							_this.pageList = this.pageData.pageIndex==1 ? list : [..._this.pageList,...list]
							
						}
						if (list.length < _this.pageData.pageSize) { // 返回条数小于每页条数
							_this.pageData.isEnd = true
						}
						_this.$forceUpdate()
					
					}
					uni.hideLoading()
					setTimeout(function(){
						
						_this.pageData.isLoading = false
					},500)
				})
			},
			loadMore(){
				if(!this.pageData.isEnd) {
					this.pageData.pageIndex += 1
					this.getList()
				}
			},
			goDetail(item) {
				let pageName = ''
				this.$util.toNextRoute('navigateTo', "/pages/businessApproval/productDetail?id=" + item.HIGHWAYPROINST_ID)
				
			},
		},
		onPullDownRefresh() {
			this.pageData.pageIndex = 1
			this.pageData.isEnd = false
			uni.showLoading({
				title:'正在加载'
			})
			this.getList()
			setTimeout(function() {
				uni.stopPullDownRefresh()
			}, 1000)
		},
		onReachBottom(){
			this.loadMore()
		},
		onShow() {
			let _this = this
			if(this.reloading) {
				uni.showLoading({
					title:'正在加载'
				})
				_this.pageData.pageIndex = 1
				_this.pageData.isEnd = false
				_this.getList()
				this.shouldReLoadingList(false)
			}
			
		},
		onLoad() {
			this.pageData.isLoading= true
			uni.showLoading({
				title:'正在加载'
			})
			this.getList()
		},
		onUnload() {
			this.$util.addUserBehavior()
		},
		onHide() {
		
		}
	}
</script>

<style scoped>
	.content {
		display: flex;
		flex-direction: column;
		justify-content: center;
		/* height: 100%; */
	}

</style>
